package com.goafanti.common.model;

import java.io.Serializable;


/**
 * 客户面谈项目表(UserInterviewProject)实体类
 *
 * @author makejava
 * @since 2025-04-22 17:22:50
 */
public class UserInterviewProject implements Serializable {
    private static final long serialVersionUID = -90007626271441238L;

    private Integer id;
    /**
     * 客户编号
     */
    private String uid;
    /**
     * 跟进人编号
     */
    private String aid;
    /**
     * 项目编号
     */
    private String pid;
    /**
     * 公出详情编号
     */
    private Integer prdid;
    /**
     * 0=本次，1=非本次
     */
    private Integer type;
    /**
     * 状态 0=正常，1=废除
     */
    private Integer status;
    /**
     * 审核状态 0=否，1=初次审核，2=复审
     */
    private Integer examineStatus;
    /**
     * 复审年份
     */
    private String examineStatusOther;
    /**
     * 购买状态 0=否，1=新购，2=复购
     */
    private Integer buyStatus;
    /**
     * 复购年份
     */
    private String buyStatusOther;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public Integer getPrdid() {
        return prdid;
    }

    public void setPrdid(Integer prdid) {
        this.prdid = prdid;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getExamineStatusOther() {
        return examineStatusOther;
    }

    public void setExamineStatusOther(String examineStatusOther) {
        this.examineStatusOther = examineStatusOther;
    }

    public Integer getBuyStatus() {
        return buyStatus;
    }

    public void setBuyStatus(Integer buyStatus) {
        this.buyStatus = buyStatus;
    }

    public String getBuyStatusOther() {
        return buyStatusOther;
    }

    public void setBuyStatusOther(String buyStatusOther) {
        this.buyStatusOther = buyStatusOther;
    }

}

